package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the VehicleManufacturer service. Represents a row in the &quot;Profile_VehicleManufacturer&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleManufacturerModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleManufacturerImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleManufacturer
 * @see de.humance.eco.profile.model.impl.VehicleManufacturerImpl
 * @see de.humance.eco.profile.model.impl.VehicleManufacturerModelImpl
 * @generated
 */
public interface VehicleManufacturerModel extends BaseModel<VehicleManufacturer> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle manufacturer model instance should use the {@link VehicleManufacturer} interface instead.
     */

    /**
     * Returns the primary key of this vehicle manufacturer.
     *
     * @return the primary key of this vehicle manufacturer
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle manufacturer.
     *
     * @param primaryKey the primary key of this vehicle manufacturer
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle manufacturer ID of this vehicle manufacturer.
     *
     * @return the vehicle manufacturer ID of this vehicle manufacturer
     */
    public long getVehicleManufacturerId();

    /**
     * Sets the vehicle manufacturer ID of this vehicle manufacturer.
     *
     * @param vehicleManufacturerId the vehicle manufacturer ID of this vehicle manufacturer
     */
    public void setVehicleManufacturerId(long vehicleManufacturerId);

    /**
     * Returns the creator ID of this vehicle manufacturer.
     *
     * @return the creator ID of this vehicle manufacturer
     */
    public long getCreatorId();

    /**
     * Sets the creator ID of this vehicle manufacturer.
     *
     * @param creatorId the creator ID of this vehicle manufacturer
     */
    public void setCreatorId(long creatorId);

    /**
     * Returns the creator name of this vehicle manufacturer.
     *
     * @return the creator name of this vehicle manufacturer
     */
    @AutoEscape
    public String getCreatorName();

    /**
     * Sets the creator name of this vehicle manufacturer.
     *
     * @param creatorName the creator name of this vehicle manufacturer
     */
    public void setCreatorName(String creatorName);

    /**
     * Returns the create date of this vehicle manufacturer.
     *
     * @return the create date of this vehicle manufacturer
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this vehicle manufacturer.
     *
     * @param createDate the create date of this vehicle manufacturer
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modifier ID of this vehicle manufacturer.
     *
     * @return the modifier ID of this vehicle manufacturer
     */
    public long getModifierId();

    /**
     * Sets the modifier ID of this vehicle manufacturer.
     *
     * @param modifierId the modifier ID of this vehicle manufacturer
     */
    public void setModifierId(long modifierId);

    /**
     * Returns the modifier name of this vehicle manufacturer.
     *
     * @return the modifier name of this vehicle manufacturer
     */
    @AutoEscape
    public String getModifierName();

    /**
     * Sets the modifier name of this vehicle manufacturer.
     *
     * @param modifierName the modifier name of this vehicle manufacturer
     */
    public void setModifierName(String modifierName);

    /**
     * Returns the modified date of this vehicle manufacturer.
     *
     * @return the modified date of this vehicle manufacturer
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this vehicle manufacturer.
     *
     * @param modifiedDate the modified date of this vehicle manufacturer
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the name of this vehicle manufacturer.
     *
     * @return the name of this vehicle manufacturer
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this vehicle manufacturer.
     *
     * @param name the name of this vehicle manufacturer
     */
    public void setName(String name);

    /**
     * Returns the icon ID of this vehicle manufacturer.
     *
     * @return the icon ID of this vehicle manufacturer
     */
    public long getIconId();

    /**
     * Sets the icon ID of this vehicle manufacturer.
     *
     * @param iconId the icon ID of this vehicle manufacturer
     */
    public void setIconId(long iconId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(VehicleManufacturer vehicleManufacturer);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleManufacturer> toCacheModel();

    @Override
    public VehicleManufacturer toEscapedModel();

    @Override
    public VehicleManufacturer toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
